# Sablotron Guide and Reference

SablotCreateProcessorForSituation | Functions

#### Summary

Creates the processor instance and associate it with the situation object.

#### Syntax

    int SablotCreateProcessorForSituation(SablotSituation S,
           void **processorPtr);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | situation handle
`processorPtr` | `void**` | the result goes here

#### Description

Use this function if you want to create a processor instance and associate it with the given situation object. This call is preferred over `SablotCreateProcessor`.

#### See Also

Groups | [ Functions ]
Entries | [ SablotCreateProcessor | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC